Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientDao.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientDao.cs	(revision 3578)
@@ -43,5 +43,5 @@
       dbclient.UseCalendarFromResourceId = clientGroupId;
       dbclient.CalendarSyncStatus = Enum.GetName(typeof(CalendarState), CalendarState.Fetch);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -49,5 +49,5 @@
       Client c = DtoToEntity(info, null);      
       Context.Clients.InsertOnSubmit(c);
-      Context.SubmitChanges();
+      CommitChanges();
       info.Id = c.ResourceId;
       return info;
@@ -58,5 +58,5 @@
       Resource res = Context.Resources.SingleOrDefault(c => c.ResourceId.Equals(info.Id));            
       Context.Resources.DeleteOnSubmit(res);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -64,10 +64,5 @@
       Client client = Context.Clients.SingleOrDefault(c => c.ResourceId.Equals(info.Id));
       DtoToEntity(info, client);
-      try {
-        Console.WriteLine("Sending from thread: " + Thread.CurrentThread.ManagedThreadId);
-        Context.SubmitChanges();
-      } catch (System.Data.Linq.ChangeConflictException cce) {
-        Console.WriteLine(cce);        
-      }
+      CommitChanges();      
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientGroupDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientGroupDao.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ClientGroupDao.cs	(revision 3578)
@@ -31,5 +31,5 @@
       ClientGroup cc = DtoToEntity(bObj, null);
       Context.ClientGroups.InsertOnSubmit(cc);
-      Context.SubmitChanges();
+      CommitChanges();
       bObj.Id = cc.ResourceId;
       return bObj;
@@ -44,5 +44,5 @@
 
       Context.Resources.DeleteOnSubmit(res);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -50,5 +50,5 @@
       ClientGroup client = Context.ClientGroups.SingleOrDefault(c => c.ResourceId.Equals(bObj.Id));
       DtoToEntity(bObj, client);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -57,5 +57,5 @@
       Resource res = Context.Resources.SingleOrDefault(r => r.ResourceId.Equals(resource));
       cg.ClientGroup_Resources.Add(new ClientGroup_Resource { ClientGroup = cg, Resource = res });      
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -65,5 +65,5 @@
           cg => cg.ResourceId.Equals(resource) && cg.ClientGroupId.Equals(clientGroupId));
       Context.ClientGroup_Resources.DeleteOnSubmit(cgr);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ContextFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ContextFactory.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/ContextFactory.cs	(revision 3578)
@@ -9,8 +9,8 @@
   public class ContextFactory {
     [ThreadStatic]
-    private static HiveDataContext _hiveDataContext;
+    private static HiveDataContext _hiveDataContext = null;
 
     [ThreadStatic]
-    private static SqlTransaction _currentTransaction;
+    private static SqlTransaction _currentTransaction = null;
 
     public static HiveDataContext Context { 
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/HeuristicLab.Hive.Server.LINQDataAccess-3.2.csproj	(revision 3578)
@@ -134,4 +134,8 @@
       <Name>HeuristicLab.PluginInfrastructure</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Tracing\3.2\HeuristicLab.Tracing-3.2.csproj">
+      <Project>{EE2034D9-6E27-48A1-B855-42D45F69A4FC}</Project>
+      <Name>HeuristicLab.Tracing-3.2</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Hive.dbml
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Hive.dbml	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Hive.dbml	(revision 3578)
@@ -88,5 +88,5 @@
       <Column Name="ResourceId" Type="System.Guid" DbType="UniqueIdentifier" CanBeNull="true" />
       <Column Name="Percentage" Type="System.Double" DbType="Float" CanBeNull="true" />
-      <Column Name="SerializedJob" Type="System.Data.Linq.Binary" DbType="VarBinary(MAX)" CanBeNull="true" UpdateCheck="Never" />
+      <Column Name="SerializedJob" Type="System.Data.Linq.Binary" DbType="VarBinary(MAX)" CanBeNull="true" UpdateCheck="Never" IsDelayLoaded="true" />
       <Column Name="DateCreated" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
       <Column Name="DateCalculated" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Hive.designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Hive.designer.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Hive.designer.cs	(revision 3578)
@@ -1774,5 +1774,5 @@
 		private System.Nullable<double> _Percentage;
 		
-		private System.Data.Linq.Binary _SerializedJob;
+		private System.Data.Linq.Link<System.Data.Linq.Binary> _SerializedJob;
 		
 		private System.Nullable<System.DateTime> _DateCreated;
@@ -1957,18 +1957,18 @@
 		}
 		
-		[Column(Storage="_SerializedJob", DbType="VarBinary(MAX)", CanBeNull=true, UpdateCheck=UpdateCheck.Never)]
+		[Column(Storage="_SerializedJob", DbType="VarBinary(MAX)", UpdateCheck=UpdateCheck.Never)]
 		public System.Data.Linq.Binary SerializedJob
 		{
 			get
 			{
-				return this._SerializedJob;
-			}
-			set
-			{
-				if ((this._SerializedJob != value))
+				return this._SerializedJob.Value;
+			}
+			set
+			{
+				if ((this._SerializedJob.Value != value))
 				{
 					this.OnSerializedJobChanging(value);
 					this.SendPropertyChanging();
-					this._SerializedJob = value;
+					this._SerializedJob.Value = value;
 					this.SendPropertyChanged("SerializedJob");
 					this.OnSerializedJobChanged();
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/JobDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/JobDao.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/JobDao.cs	(revision 3578)
@@ -25,4 +25,28 @@
     }
 
+    public IEnumerable<JobDto> FindWithLimitations(State jobState, int offset, int count) {
+
+      IQueryable<JobDto> query = null;
+      if (jobState == State.finished) {
+         query = from job in Context.Jobs
+                 where job.JobState == Enum.GetName(typeof (State), jobState)
+                 orderby job.DateFinished
+                 select EntityToDto(job, null);
+      } else if (jobState == State.calculating || jobState == State.requestSnapshot || jobState == State.requestSnapshotSent) {
+        query = from job in Context.Jobs
+                    where job.JobState == Enum.GetName(typeof(State), jobState)
+                    orderby job.DateCalculated
+                    select EntityToDto(job, null);
+      } else {
+        query = from job in Context.Jobs
+                    where job.JobState == Enum.GetName(typeof(State), jobState)
+                    orderby job.DateCreated
+                    select EntityToDto(job, null);
+      }
+
+      return query.Skip(offset).Take(count).ToList();
+    }
+
+
     public byte[] GetBinaryJobFile(Guid jobId) {
       return (from job in Context.Jobs
@@ -34,5 +58,5 @@
       Job j = DtoToEntity(bObj, null);
       Context.Jobs.InsertOnSubmit(j);
-      Context.SubmitChanges();
+      CommitChanges();
       bObj.Id = j.JobId;
       return bObj;
@@ -45,5 +69,5 @@
         j.AssignedResources.Add(new AssignedResource { ResourceId = assignRessourceId});
       Context.Jobs.InsertOnSubmit(j);
-      Context.SubmitChanges();
+      CommitChanges();
       job.JobInfo.Id = j.JobId;
       return job;
@@ -54,15 +78,11 @@
       Job job = Context.Jobs.SingleOrDefault(j => j.JobId.Equals(bObj.Id));
       Context.Jobs.DeleteOnSubmit(job);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
     public void Update(JobDto bObj) {
       Job job = Context.Jobs.SingleOrDefault(j => j.JobId.Equals(bObj.Id));
-      DtoToEntity(bObj, job);
-      try {
-        Context.SubmitChanges();
-      } catch (ChangeConflictException cfe) {
-        
-      }
+      DtoToEntity(bObj, job);    
+      CommitChanges(); 
     }
 
@@ -105,5 +125,5 @@
       c.Jobs.Add(j);
       j.Client = c;
-      Context.SubmitChanges();      
+      CommitChanges();      
     }
 
@@ -112,5 +132,5 @@
       j.Client = null;
       j.JobState = Enum.GetName(typeof(State), State.offline); 
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -137,4 +157,5 @@
       target.DateCalculated = source.DateCalculated;
       target.DateCreated = source.DateCreated;
+      target.DateFinished = source.DateFinished;
       target.JobId = source.Id;
 
@@ -162,11 +183,9 @@
       target.MemoryNeeded = source.MemoryNeeded;
 
-
-
       target.DateCalculated = source.DateCalculated;
       target.DateCreated = source.DateCreated;
+      target.DateFinished = source.DateFinished;
       target.Id = source.JobId;
-      
-          
+       
       target.Percentage = source.Percentage;
       
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/LINQDataAccessPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/LINQDataAccessPlugin.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/LINQDataAccessPlugin.cs	(revision 3578)
@@ -11,4 +11,5 @@
   [PluginDependency("HeuristicLab.Hive.Contracts-3.2")]
   [PluginDependency("HeuristicLab.Hive.Server.DataAccess-3.2")]
+  [PluginDependency("HeuristicLab.Tracing", "3.2.0")]
   public class LINQDataAccessPlugin: PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/PluginInfoDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/PluginInfoDao.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/PluginInfoDao.cs	(revision 3578)
@@ -26,5 +26,5 @@
       PluginInfo pi = DtoToEntity(bObj, null);
       Context.PluginInfos.InsertOnSubmit(pi);
-      Context.SubmitChanges();
+      CommitChanges();
       bObj.Id = pi.PluginId;
       return bObj;
@@ -39,5 +39,5 @@
       PluginInfo pi = Context.PluginInfos.SingleOrDefault(p => p.PluginId.Equals(bObj.Id));
       DtoToEntity(bObj, pi);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -53,5 +53,5 @@
                                 };
           Context.PluginInfos.InsertOnSubmit(dbpi);
-          Context.SubmitChanges();
+          CommitChanges();
         }
 
@@ -60,6 +60,13 @@
         rq.PluginInfo = dbpi;
         Context.RequiredPlugins.InsertOnSubmit(rq);
-        Context.SubmitChanges();
+        CommitChanges();
       }
+    }
+
+    public List<HivePluginInfoDto> GetPluginDependenciesForJob(JobDto jobDto) {
+      return (from rp in Context.RequiredPlugins
+              where rp.JobId.Equals(jobDto.Id)
+              select EntityToDto(rp.PluginInfo, null)).ToList();
+      
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Properties/Settings.Designer.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Properties/Settings.Designer.cs	(revision 3578)
@@ -27,5 +27,5 @@
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.SpecialSettingAttribute(global::System.Configuration.SpecialSetting.ConnectionString)]
-        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=SEMTEX-PC;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=" +
+        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=" +
             "True")]
         public string HeuristicLab_Hive_LinqConnectionString {
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Properties/Settings.settings	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/Properties/Settings.settings	(revision 3578)
@@ -6,8 +6,8 @@
       <DesignTimeValue Profile="(Default)">&lt;?xml version="1.0" encoding="utf-16"?&gt;
 &lt;SerializableConnectionString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
-  &lt;ConnectionString&gt;Data Source=SEMTEX-PC;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=True&lt;/ConnectionString&gt;
+  &lt;ConnectionString&gt;Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=True&lt;/ConnectionString&gt;
   &lt;ProviderName&gt;System.Data.SqlClient&lt;/ProviderName&gt;
 &lt;/SerializableConnectionString&gt;</DesignTimeValue>
-      <Value Profile="(Default)">Data Source=SEMTEX-PC;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=True</Value>
+      <Value Profile="(Default)">Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive.Linq;Integrated Security=True</Value>
     </Setting>
   </Settings>
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/UptimeCalendarDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/UptimeCalendarDao.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/UptimeCalendarDao.cs	(revision 3578)
@@ -60,5 +60,5 @@
       UptimeCalendar uc = DtoToEntity(bObj, null);
       Context.UptimeCalendars.InsertOnSubmit(uc);
-      Context.SubmitChanges();
+      CommitChanges();
       bObj.Id = uc.UptimeCalendarId;
       return bObj;
@@ -67,5 +67,5 @@
     public void Delete(AppointmentDto bObj) {
       Context.UptimeCalendars.DeleteOnSubmit(Context.UptimeCalendars.SingleOrDefault(uc => uc.UptimeCalendarId.Equals(bObj.Id)));
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -73,5 +73,5 @@
       UptimeCalendar cc = Context.UptimeCalendars.SingleOrDefault(c => c.UptimeCalendarId.Equals(bObj.Id));
       DtoToEntity(bObj, cc);
-      Context.SubmitChanges();
+      CommitChanges();
     }
 
@@ -95,5 +95,5 @@
       }
 
-      Context.SubmitChanges();            
+      CommitChanges();            
     }    
 
@@ -143,5 +143,5 @@
       }
       
-      Context.SubmitChanges();
+      CommitChanges();
 
       //Get all Subgroups
Index: /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/VarBinaryStream.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/VarBinaryStream.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server.LINQDataAccess/3.2/VarBinaryStream.cs	(revision 3578)
@@ -7,4 +7,5 @@
 using System.Data.SqlClient;
 using System.Data;
+using HeuristicLab.Tracing;
 
 namespace HeuristicLab.Hive.Server.LINQDataAccess {
@@ -253,7 +254,9 @@
 
     public void Close() {
+      Logger.Info("Closing Stream");
       if (_transaction != null) {
         _transaction.Commit();
         _transaction = null;
+        Logger.Info("Transaction commited and closed");
       }
 
@@ -262,4 +265,5 @@
         ContextFactory.Context.Dispose();
         ContextFactory.Context = null;
+        Logger.Info("Connection and Context disposed and set null");
       }
     }
Index: /trunk/sources/HeuristicLab.Hive.Server/3.2/HeuristicLab.Hive.Server-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/3.2/HeuristicLab.Hive.Server-3.2.csproj	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server/3.2/HeuristicLab.Hive.Server-3.2.csproj	(revision 3578)
@@ -168,4 +168,8 @@
       <Name>HeuristicLab.PluginInfrastructure</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Tracing\3.2\HeuristicLab.Tracing-3.2.csproj">
+      <Project>{EE2034D9-6E27-48A1-B855-42D45F69A4FC}</Project>
+      <Name>HeuristicLab.Tracing-3.2</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerPlugin.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server/3.2/HiveServerPlugin.cs	(revision 3578)
@@ -35,4 +35,5 @@
   [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess-3.2")]
   [PluginDependency("HeuristicLab.SpringNET", "1.3.0.0")]
+  [PluginDependency("HeuristicLab.Tracing", "3.2.0")]
   public class HiveServerPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Hive.Server/3.2/ServiceCallInterception.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/3.2/ServiceCallInterception.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Hive.Server/3.2/ServiceCallInterception.cs	(revision 3578)
@@ -7,16 +7,23 @@
 using HeuristicLab.Hive.Server.LINQDataAccess;
 using System.Transactions;
+using HeuristicLab.Hive.Contracts;
+using HeuristicLab.Tracing;
 
 namespace HeuristicLab.Hive.Server {
   internal class ServiceCallInterception : IMethodInterceptor {
 
-    private bool useTransactions = false;
+    private const bool UseTransactions = true;
 
     public object Invoke(IMethodInvocation invocation) {
-      Console.WriteLine(DateTime.Now + " - " + Thread.CurrentThread.ManagedThreadId + " - Entering Method " +
-                        invocation.Method.Name);
+      Logger.Info("Entering Method: " + invocation.Method.Name);
 
       if(ContextFactory.Context != null) {
-        Console.WriteLine("Error - Not null context found - why wasn't this disposed?");
+        Logger.Info("Not null context found - why wasn't this disposed?");
+        try {
+          Logger.Info("Trying to dispose");
+          ContextFactory.Context.Dispose();
+        } catch (Exception e) {
+          Logger.Error(e);
+        }
         ContextFactory.Context = null;
       }
@@ -26,31 +33,35 @@
       if (invocation.Method.Name.Equals("SendStreamedJob") || invocation.Method.Name.Equals("StoreFinishedJobResultStreamed")) {        
         ContextFactory.Context.Connection.Open();
-        if(useTransactions)
-          ContextFactory.Context.Transaction = ContextFactory.Context.Connection.BeginTransaction();
+        if(UseTransactions) {
+          Logger.Debug("Opening Transaction");
+          ContextFactory.Context.Transaction = ContextFactory.Context.Connection.BeginTransaction(ApplicationConstants.ISOLATION_LEVEL);
+        } else {
+          Logger.Debug("Not using a Transaction");
+        }
         try {
           obj = invocation.Proceed();
-          Console.WriteLine("leaving context open for Streaming");
+          Logger.Info("leaving context open for streaming");
         }
-        catch (Exception e) {          
-          Console.WriteLine(e);
+        catch (Exception e) {
+          Logger.Error("Exception occured during method invocation", e);              
           ContextFactory.Context.Dispose();
           ContextFactory.Context = null;
         }        
       } else {
-        if(useTransactions) {
-          using (TransactionScope scope = new TransactionScope()) {
+        if(UseTransactions) {
+          using (TransactionScope scope = new TransactionScope(TransactionScopeOption.Required, new TransactionOptions { IsolationLevel = ApplicationConstants.ISOLATION_LEVEL_SCOPE })) {
             try {
+              Logger.Debug("Current Transaction Isolation level is: " + Transaction.Current.IsolationLevel);
               obj = invocation.Proceed();
               scope.Complete();
             }
             catch (Exception e) {
-              Console.WriteLine("Exception Occured");
-              Console.WriteLine(e);
+              Logger.Error("Exception occured during method invocation", e);              
             }
             finally {
               ContextFactory.Context.Dispose();
-              Console.WriteLine("setting old context null");
+              Logger.Debug("Disposed Context");
               ContextFactory.Context = null;
-              Console.WriteLine("Disposing old Context");
+              Logger.Debug("Set Context Null");
             }
           }
@@ -60,17 +71,15 @@
           }
           catch (Exception e) {
-            Console.WriteLine("Exception Occured");
-            Console.WriteLine(e);
+            Logger.Error("Exception occured during method invocation", e);                          
           }
           finally {
             ContextFactory.Context.Dispose();
-            Console.WriteLine("setting old context null");
+            Logger.Debug("Disposed Context");
             ContextFactory.Context = null;
-            Console.WriteLine("Disposing old Context");
+            Logger.Debug("Set Context Null");
           }  
         }
       }
-      Console.WriteLine(DateTime.Now + " - " + Thread.CurrentThread.ManagedThreadId + " - Leaving Method " +
-                          invocation.Method.Name);
+      Logger.Info("Leaving Method: " + invocation.Method.Name);
 
       return obj;
Index: /trunk/sources/HeuristicLab.Security.Core/3.2/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.Core/3.2/Properties/Settings.Designer.cs	(revision 3577)
+++ /trunk/sources/HeuristicLab.Security.Core/3.2/Properties/Settings.Designer.cs	(revision 3578)
@@ -26,6 +26,6 @@
         [global::System.Configuration.ApplicationScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Security;Persist Security Info" +
-            "=True;User ID=hive;Password=hive;Pooling=true;MultipleActiveResultSets=true")]
+        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Security;Integrated Security=T" +
+            "rue;Pooling=true;MultipleActiveResultSets=true")]
         public string SecurityServerConnectionString {
             get {
Index: /trunk/sources/HeuristicLab.Security.Core/3.2/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.Security.Core/3.2/Properties/Settings.settings	(revision 3577)
+++ /trunk/sources/HeuristicLab.Security.Core/3.2/Properties/Settings.settings	(revision 3578)
@@ -4,5 +4,5 @@
   <Settings>
     <Setting Name="SecurityServerConnectionString" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Security;Persist Security Info=True;User ID=hive;Password=hive;Pooling=true;MultipleActiveResultSets=true</Value>
+      <Value Profile="(Default)">Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Security;Integrated Security=True;Pooling=true;MultipleActiveResultSets=true</Value>
     </Setting>
   </Settings>
